#
# spec file for package vlc-beta
#
# Copyright (c) 2017 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%global  _buildshell /bin/bash
%bcond_with    vlc_opencv
%bcond_with    fdk_aac
%ifarch %arm
%bcond_without opengles
%else
%bcond_with opengles
%endif
Name:           vlc-beta
Version:        20220306.ab7be29617
Release:        pm152.6.1
Summary:        Snapshot of vlc.git#master
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.videolan.org
Source0:        %{name}-%{version}.tar
Source1:        %{name}.changes
Source3:        %{name}-rpmlintrc
Patch0:         vlc-beta.patch
Patch1:         vlc.a52dec.patch
Patch2:         vlc.hostname.patch
Patch3:         vlc.libplacebo.patch
Patch5:         fix_lib_version.patch
Patch6:         fix_freerdp2_detection.patch
Patch7:         fix_lua53_luaL_checkint.patch

%ifarch x86_64 aarch64
Requires:       libqtquickcontrols2plugin.so()(64bit)
Requires:       libqtgraphicaleffectsplugin.so()(64bit)
%endif

# avoid stale debug.rpm
Conflicts:      %{name}-debuginfo < %{version}-%{release} 
Conflicts:      %{name}-debugsource < %{version}-%{release} 
#
Conflicts:      vlc
Conflicts:      vlc-devel
Conflicts:      vlc-qt
Obsoletes:      vlc-codec-gstreamer < %{version}-%{release}
Obsoletes:      vlc-codec-gstreamer-debuginfo < %{version}-%{release}
Obsoletes:      vlc-codecs < %{version}-%{release}
Obsoletes:      vlc-codecs-debuginfo < %{version}-%{release}
Obsoletes:      vlc-debuginfo < %{version}-%{release}
Obsoletes:      vlc-debugsource < %{version}-%{release}
Obsoletes:      vlc-devel < %{version}-%{release}
Obsoletes:      vlc-jack < %{version}-%{release}
Obsoletes:      vlc-jack-debuginfo < %{version}-%{release}
Obsoletes:      vlc-lang < %{version}-%{release}
Obsoletes:      vlc-noX < %{version}-%{release}
Obsoletes:      vlc-noX-debuginfo < %{version}-%{release}
Obsoletes:      vlc-opencv < %{version}-%{release}
Obsoletes:      vlc-opencv-debuginfo < %{version}-%{release}
Obsoletes:      vlc-qt < %{version}-%{release}
Obsoletes:      vlc-qt-debuginfo < %{version}-%{release}
Obsoletes:      vlc-vdpau < %{version}-%{release}
Obsoletes:      vlc-vdpau-debuginfo < %{version}-%{release}
Provides:       vlc-codec-gstreamer = %{version}-%{release}
Provides:       vlc-codec-gstreamer-debuginfo = %{version}-%{release}
Provides:       vlc-codecs = %{version}-%{release}
Provides:       vlc-codecs-debuginfo = %{version}-%{release}
Provides:       vlc-debuginfo = %{version}-%{release}
Provides:       vlc-debugsource = %{version}-%{release}
Provides:       vlc-devel = %{version}-%{release}
Provides:       vlc-jack = %{version}-%{release}
Provides:       vlc-jack-debuginfo = %{version}-%{release}
Provides:       vlc-lang = %{version}-%{release}
Provides:       vlc-noX = %{version}-%{release}
Provides:       vlc-noX-debuginfo = %{version}-%{release}
Provides:       vlc-opencv = %{version}-%{release}
Provides:       vlc-opencv-debuginfo = %{version}-%{release}
Provides:       vlc-qt = %{version}-%{release}
Provides:       vlc-qt-debuginfo = %{version}-%{release}
Provides:       vlc-vdpau = %{version}-%{release}
Provides:       vlc-vdpau-debuginfo = %{version}-%{release}

Obsoletes:      libvlc123 < %{version}-%{release}
Obsoletes:      libvlc123-debuginfo < %{version}-%{release}
Obsoletes:      libvlccore123 < %{version}-%{release}
Obsoletes:      libvlccore123-debuginfo < %{version}-%{release}
Obsoletes:      vlc-beta-devel < %{version}-%{release}
Obsoletes:      vlc-beta-noX < %{version}-%{release}
Obsoletes:      vlc-beta-noX-debuginfo < %{version}-%{release}
Obsoletes:      vlc-beta-noX-lang < %{version}-%{release}
Obsoletes:      vlc-beta-qt < %{version}-%{release}
Obsoletes:      vlc-beta-qt-debuginfo < %{version}-%{release}
Provides:       libvlc123 = %{version}-%{release}
Provides:       libvlc123-debuginfo = %{version}-%{release}
Provides:       libvlccore123 = %{version}-%{release}
Provides:       libvlccore123-debuginfo = %{version}-%{release}
Provides:       vlc-beta-devel = %{version}-%{release}
Provides:       vlc-beta-noX = %{version}-%{release}
Provides:       vlc-beta-noX-debuginfo = %{version}-%{release}
Provides:       vlc-beta-noX-lang = %{version}-%{release}
Provides:       vlc-beta-qt = %{version}-%{release}
Provides:       vlc-beta-qt-debuginfo = %{version}-%{release}

BuildRequires:  bash
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  flex
BuildRequires:  bison
%if 0%{?suse_version} > 1500
BuildRequires:  gettext-devel >= 0.21
BuildRequires:  gettext-tools
%endif
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(dbus-1) >= 1.6.0
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(libarchive) >= 3.1.0
BuildRequires:  pkgconfig(live555) >= 2015.01.27
BuildRequires:  pkgconfig(libdc1394-2) >= 2.1.0
BuildRequires:  pkgconfig(libraw1394) >= 2.0.1
BuildRequires:  pkgconfig(libavc1394) >= 0.5.3
BuildRequires:  pkgconfig(zvbi-0.2) >= 0.2.28
BuildRequires:  pkgconfig(dvdnav) >= 6.0.0
BuildRequires:  pkgconfig(dvdread) >= 6.0.0
BuildRequires:  pkgconfig(libplacebo) >= 2.43
BuildRequires:  pkgconfig(vulkan) >= 1.0.26
BuildRequires:  pkgconfig(libbluray) >= 0.6.2
%if %{with vlc_opencv}
BuildRequires:  pkgconfig(opencv) > 2.0
%endif
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(libnfs) >= 1.10.0
BuildRequires:  pkgconfig(libv4l2)
#uildRequires:  pkgconfig(ffnvcodec)
BuildRequires:  pkgconfig(libcddb) >= 0.9.5
BuildRequires:  pkgconfig(libvncclient) >= 0.9.9
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(libdvbpsi) >= 1.2.0
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(ogg) >= 1.0
BuildRequires:  pkgconfig(vorbis) >= 1.1
BuildRequires:  pkgconfig(shout) >= 2.1
BuildRequires:  pkgconfig(libebml) >= 1.3.6
BuildRequires:  pkgconfig(libmatroska)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(shine) >= 3.0.0
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libavutil) >= 56
BuildRequires:  pkgconfig(libavcodec) >= 58
BuildRequires:  pkgconfig(libva) >= 0.38
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(libavformat) >= 58
BuildRequires:  pkgconfig(libswscale) >= 5
BuildRequires:  pkgconfig(libpostproc) >= 55
BuildRequires:  pkgconfig(faad2)
%if 0%{?suse_version} > 1500
BuildRequires:  pkgconfig(rav1e)
%endif
BuildRequires:  pkgconfig(dav1d) >= 0.5.0
BuildRequires:  pkgconfig(vpx) >= 1.5.0
BuildRequires:  pkgconfig(twolame)
%if %{with fdk_aac}
BuildRequires:  pkgconfig(fdk-aac)
%endif
BuildRequires:  pkgconfig(liba52)
BuildRequires:  pkgconfig(libdca) >= 0.0.5
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(vorbisenc) >= 1.1
BuildRequires:  pkgconfig(speex) >= 1.0.5
BuildRequires:  pkgconfig(opus) >= 1.0.3
BuildRequires:  pkgconfig(theoradec) >= 1.0
BuildRequires:  pkgconfig(theoraenc)
BuildRequires:  pkgconfig(schroedinger-1.0) >= 1.0.10
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(x265)
BuildRequires:  pkgconfig(x264) >= 0.86
BuildRequires:  pkgconfig(fluidsynth) >= 1.1.2
BuildRequires:  pkgconfig(libass) >= 0.9.8
BuildRequires:  pkgconfig(kate) >= 0.3.0
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-shm) >= 1.9.2
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xcb-randr) >= 1.3
BuildRequires:  pkgconfig(xcb-keysyms) >= 0.3.4
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(vdpau) >= 0.6
BuildRequires:  pkgconfig(libva-wayland)
BuildRequires:  pkgconfig(wayland-client) >= 1.5.91
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.15
BuildRequires:  pkgconfig(wayland-scanner) >= 1.15
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig) >= 2.11
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.9.0
BuildRequires:  pkgconfig(cairo) >= 1.13.1
BuildRequires:  pkgconfig(libdrm) >= 2.4.83
BuildRequires:  pkgconfig(caca) >= 0.99.beta14
BuildRequires:  pkgconfig(libpulse) >= 1.0
BuildRequires:  pkgconfig(alsa) >= 1.0.24
BuildRequires:  pkgconfig(jack) >= 1.9.7
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(soxr) >= 0.1.2
BuildRequires:  pkgconfig(libebur128) >= 1.2.4
BuildRequires:  pkgconfig(libchromaprint) >= 0.6.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.11.0
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(lirc)
BuildRequires:  pkgconfig(avahi-client) >= 0.6
BuildRequires:  pkgconfig(libudev) >= 142
BuildRequires:  pkgconfig(libmtp) >= 1.0.0
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5
BuildRequires:  libgcrypt-devel >= 1.6.0
BuildRequires:  pkgconfig(gnutls) >= 3.5.0
BuildRequires:  pkgconfig(taglib) >= 1.11
BuildRequires:  pkgconfig(libsecret-1) >= 0.18
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(protobuf-lite)

BuildRequires:  fdupes
BuildRequires:  update-desktop-files

%description
VLC media player is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast
in IPv4 or IPv6 on a high-bandwidth network.

%prep
%autosetup -p1

%build
head -n 123 /proc/cpuinfo /proc/cmdline || :
uname -a
VERSION=%{version}
echo "${VERSION##*.}" > ./src/revision.txt
sed -i~ "
s@^AC_INIT.*@AC_INIT([%{name}], [${VERSION%%.*}])@
s@^VERSION_MAJOR=.@VERSION_MAJOR=${VERSION:0:2}@
s@^VERSION_MINOR=.@VERSION_MINOR=${VERSION:2:2}@
s@^VERSION_REVISION=.@VERSION_REVISION=${VERSION:4:2}@
s@^VERSION_EXTRA=.@VERSION_EXTRA=${VERSION:6:2}@
s@^VERSION_DEV=.@VERSION_DEV=${VERSION#*.}@
" configure.ac
diff -u "$_"~ "$_" && exit 1
# fix builddate info
# Remove build time references so build-compare can do its work
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{SOURCE1} '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{SOURCE1} '+%%b %%e %%Y')
sed -i~ "
s/__TIME__/\"$FAKE_BUILDTIME\"/
s/__DATE__/\"$FAKE_BUILDDATE\"/
" src/config/help.c modules/gui/qt/dialogs/help/help.cpp
#
#
export VLC_COMPILE_BY='X'
export VLC_COMPILE_HOST='X'
test -x "$(type -p gcc)"    && BUILDCC="$_"
test -x "$(type -p gcc)"    && CC="$_"
test -x "$(type -p g++)"    && CXX="$_"
test -x "$(type -p gcc-11)" && BUILDCC="$_"
test -x "$(type -p gcc-11)" && CC="$_"
test -x "$(type -p g++-11)" && CXX="$_"
export BUILDCC="$(readlink -f ${BUILDCC})"
export CC="$(readlink -f ${CC})"
export CXX="$(readlink -f ${CXX})"
CFLAGS='%{optflags} -Wno-unused-variable -Wno-unused-parameter -Wno-deprecated-declarations -Wno-unused-but-set-variable'
CXXFLAGS='%{optflags} -Wno-unused-variable -Wno-unused-parameter -Wno-deprecated-declarations -Wno-unused-but-set-variable'
./bootstrap
%configure --help
%configure \
	--without-contrib \
	--without-libfuzzer \
	--enable-shared \
	--enable-dbus \
	--disable-avx \
	--disable-debug \
	--disable-gprof \
	--disable-cprof \
	--disable-coverage \
	--disable-mod \
	--disable-nls \
	--disable-opencv \
	--without-sanitizer \
	--enable-optimizations \
	--disable-fdkaac \
	--disable-sse \
	--disable-neon \
	--disable-altivec \
%ifarch %ix86 x86_64
	--enable-sse \
%endif
%ifarch aarch64
	--enable-arm64 \
%endif
	--disable-optimize-memory \
	--disable-run-as-root \
	--enable-sout \
	--enable-lua \
	--enable-vlm \
	--enable-addonmanagermodules \
	--enable-archive \
	--enable-live555 \
	--enable-dc1394 \
	--enable-dv1394 \
	--enable-linsys \
	--enable-dvdread \
	--enable-dvdnav \
	--enable-bluray \
%if %{with vlc_opencv}
	--enable-opencv \
%endif
	--enable-smbclient \
	--disable-dsm \
	--enable-sftp \
	--enable-nfs \
	--enable-v4l2 \
	--disable-decklink \
	--enable-vcd \
	--enable-libcddb \
	--disable-screen \
	--enable-vnc \
	--enable-freerdp \
	--disable-macosx-avfoundation \
	--disable-asdcp \
	--enable-dvbpsi \
	--enable-gme \
	--disable-sid \
	--enable-ogg \
	--enable-shout \
	--enable-matroska \
	--enable-mod \
	--disable-mpc \
	--disable-omxil \
	--disable-rpi-omxil \
	--enable-mad \
	--enable-mpg123 \
	--disable-gst-decode \
	--enable-merge-ffmpeg \
	--enable-avcodec \
	--enable-libva \
	--disable-dxva2 \
	--disable-d3d11va \
	--enable-avformat \
	--enable-swscale \
	--enable-postproc \
	--enable-faad \
	--disable-aom \
%if 0%{?suse_version} > 1500
	--enable-rav1e \
%endif
	--enable-dav1d \
	--disable-vpx \
	--enable-vpx \
	--enable-twolame \
%if %{with fdk_aac}
	--enable-fdkaac \
%endif
	--enable-a52 \
	--enable-dca \
	--enable-flac \
	--enable-libmpeg2 \
	--enable-vorbis \
	--disable-tremor \
	--enable-speex \
	--enable-opus \
	--disable-spatialaudio \
	--enable-theora \
	--enable-oggspots \
	--disable-daala \
	--enable-schroedinger \
	--enable-png \
	--enable-jpeg \
	--disable-x262 \
	--enable-x265 \
	--disable-x26410b \
	--enable-x264 \
	--disable-mfx \
	--enable-fluidsynth \
	--disable-fluidlite \
	--enable-zvbi \
	--disable-telx \
	--enable-libass \
	--disable-aribsub \
	--disable-aribb25 \
	--enable-kate \
	--disable-tiger \
	--enable-css \
	--disable-gles2 \
%if %{with opengles}
	--enable-gles2 \
%endif
	--enable-xcb \
	--enable-vdpau \
	--enable-wayland \
	--enable-freetype \
	--enable-fribidi \
	--enable-harfbuzz \
	--enable-fontconfig \
	--with-default-font=%{_datadir}/fonts/truetype/FreeSerifBold.ttf \
	--with-default-monospace-font=%{_datadir}/fonts/truetype/FreeMono.ttf \
	--enable-svg \
	--enable-svgdec \
	--disable-directx \
	--enable-caca \
	--disable-kva \
	--disable-mmal \
	--enable-pulse \
	--enable-alsa \
	--disable-oss \
	--disable-sndio \
	--disable-wasapi \
	--enable-jack \
	--disable-opensles \
	--enable-samplerate \
	--enable-soxr \
	--disable-kai \
	--enable-chromaprint \
	--enable-chromecast \
	--enable-qt \
	--enable-qt \
	--enable-skins2 \
	--disable-macosx \
	--disable-sparkle \
	--without-breakpad \
	--disable-minimal-macosx \
	--disable-ncurses \
	--enable-ncurses \
	--enable-lirc \
	--disable-srt \
	--disable-goom \
	--disable-projectm \
	--disable-vsxu \
	--enable-avahi \
	--enable-udev \
	--enable-mtp \
	--enable-upnp \
	--disable-microdns \
	--enable-libxml2 \
	--enable-libgcrypt \
	--enable-gnutls \
	--enable-taglib \
	--enable-secret \
	--enable-kwallet \
	--disable-update-check \
	--disable-osx-notifications \
	--enable-gbm \
	--enable-notify \
	--disable-vulkan \
	--enable-libplacebo \
	--enable-vulkan \
	--disable-medialibrary \
	--with-kde-solid=%{_datadir}/kde4/apps/solid \
	--enable-vlc \
%if 0%{?suse_version} > 1500
	--enable-nls \
%endif
	%nil

%make_build --no-print-directory

%install
%make_install
mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a" -delete -print
rm -rfv %{buildroot}%{_datadir}/macosx
rm -rfv %{buildroot}%{_datadir}/doc
%suse_update_desktop_file vlc AudioVideo Audio Video Player
%fdupes %{buildroot}
# add missing manfiles
for i in ?vlc; do
    pushd %{buildroot}/%{_mandir}/man1
    ln -s vlc.1 $i.1
    popd
done
> %{name}.lang
%if 0%{?suse_version} > 1500
%find_lang %{name}
%endif
ls -l %{buildroot}/%{_libdir}/%{name}/plugins/plugins.dat
> %{buildroot}/%{_libdir}/%{name}/plugins/plugins.dat

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%posttrans
%{_libexecdir}/%{name}/vlc-cache-gen %{_libdir}/%{name}/plugins

%files -f %{name}.lang
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/access
%dir %{_libdir}/%{name}/plugins/access/rtp
%dir %{_libdir}/%{name}/plugins/access_output
%dir %{_libdir}/%{name}/plugins/audio_filter
%dir %{_libdir}/%{name}/plugins/audio_mixer
%dir %{_libdir}/%{name}/plugins/audio_output
%dir %{_libdir}/%{name}/plugins/codec
%dir %{_libdir}/%{name}/plugins/control
%dir %{_libdir}/%{name}/plugins/demux
%dir %{_libdir}/%{name}/plugins/gui
%dir %{_libdir}/%{name}/plugins/keystore
%dir %{_libdir}/%{name}/plugins/logger
%dir %{_libdir}/%{name}/plugins/lua
%dir %{_libdir}/%{name}/plugins/meta_engine
%dir %{_libdir}/%{name}/plugins/misc
%dir %{_libdir}/%{name}/plugins/mux
%dir %{_libdir}/%{name}/plugins/notify
%dir %{_libdir}/%{name}/plugins/packetizer
%dir %{_libdir}/%{name}/plugins/services_discovery
%dir %{_libdir}/%{name}/plugins/spu
%dir %{_libdir}/%{name}/plugins/stream_extractor
%dir %{_libdir}/%{name}/plugins/stream_filter
%dir %{_libdir}/%{name}/plugins/stream_out
%dir %{_libdir}/%{name}/plugins/text_renderer
%dir %{_libdir}/%{name}/plugins/vaapi
%dir %{_libdir}/%{name}/plugins/vdpau
%dir %{_libdir}/%{name}/plugins/video_chroma
%dir %{_libdir}/%{name}/plugins/video_filter
%dir %{_libdir}/%{name}/plugins/video_output
%dir %{_libdir}/%{name}/plugins/video_splitter
%dir %{_libdir}/%{name}/plugins/visualization
%ghost %{_libdir}/%{name}/plugins/*.dat
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/kde4
%{_datadir}/metainfo/*
%{_datadir}/pixmaps/*
%{_includedir}/*
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/plugins/*/*.so
%{_libdir}/%{name}/plugins/*/*/*.so
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_libdir}/pkgconfig/*.pc
%{_libexecdir}/%{name}
%{_mandir}/*/*

%changelog
* Wed Jan 31 2018 olaf@aepfle.de
- Update to vlc.git#master
* Sun Jan 21 2018 enzokiel@kabelmail.de
- Enabled chromecast support.
* Fri Jun  2 2017 zaitor@opensuse.org
- Package new libmpg123 codec plugin
* Sun Oct 16 2016 aloisio@gmx.com
- enabled libcrystalhd and systemd
* Mon Aug  8 2016 davejplater@gmail.com
- Conflicted vlc-codecs
* Sat Apr 30 2016 aloisio@gmx.com
- Switched to ffmpeg 3.0
* Mon Sep 14 2015 aloisio@gmx.com
- Dropped gnome package (gnome-vfs has been long deprecated)
* Wed May 13 2015 aloisio@gmx.com
- Switched to Qt5.
* Tue Mar 10 2015 aloisio@gmx.com
- Enabled dvdnav and bluray for everything
* Mon Mar  2 2015 aloisio@gmx.com
- Updated to current version and renamed in
  in accordance with the guidelines at:
  https://en.opensuse.org/openSUSE:Package_naming_guidelines
* Tue Feb 24 2015 aloisio@gmx.com
- Enabled swscale unconditionally
- Further cleanup
- Added libarchive
- Dropped useless patch
* Thu Feb 19 2015 aloisio@gmx.com
- Minor fixes
- Enabled dvd support
- Dropped support for SLE11 and 11.4
- Spec cleanup
* Wed Jan 28 2015 aloisio@gmx.com
- Updated to current git version and droppped
  no longer necessary VLSub extension patch
- Removed a few obsolete options
- Fixed SLE-12 build
* Fri Jan  2 2015 aloisio@gmx.com
- Bumped libvlccore version to 9 to avoid clashes
  with the upcoming vlc 2.2
* Sun Nov 16 2014 aloisio@gmx.com
- Replaced malfunctioning VLSub extension with the official one
* Wed Oct 22 2014 aloisio@gmx.com
- Changed soname for libvlc to avoid conflict with vlc stable
* Fri Oct  3 2014 aloisio@gmx.com
- Switch to branch 3.x, #11931 fixed.
  * no dvd support due to lack of a sufficiently recent
    libdvdnav
  * no GnuTLS support on distributions older than openSUSE 13.1
* Sat Jul 13 2013 dimstar@opensuse.org
- Bump versio to 2.2.0: vlc 2.1.0 is closing in and git master
  already tracks vlc 2.2.0.
* Mon Aug  6 2012 dimstar@opensuse.org
- Disable oss: this is getting stale old and not really used on
  openSUSE anymore.
* Fri Mar 30 2012 dimstar@opensuse.org
- Inject -L%%%%{_libdir}/live into CFLAGS and CXXFLAGS for live555 to
  be built. The static lib is in a non-standard place and not
  detected by configure scripts.
* Tue Feb 21 2012 dimstar@opensuse.org
- Add dirac-devel BuildRequires.
* Wed Jan 18 2012 dimstar@opensuse.org
- Conditionally BuildRequire lua51-devel on Factory/12.2.
* Fri Dec  2 2011 dimstar@opensuse.org
- Add libtool BuildRequires, as we need to bootstrap the build.
* Wed Nov 16 2011 dominique-vlc.suse@leuenberger.net
- Add libbluray-devel BuildRequires. Allows us to also play back
  Blu-Ray disks.
* Mon Oct  3 2011 dominique-vlc.suse@leuenberger.net
- Disable v4l on openSUSE 11.3, as the code does not support the
  'old' kernel used here. See http://mailman.videolan.org/pipermail/vlc-devel/2011-October/082321.html
* Thu Aug 18 2011 dominique-vlc.suse@leuenberger.net
- Add git BuildRequires for the extended build system stamping a
  revision.
* Mon Jul 11 2011 dominique-vlc.suse@leuenberger.net
- Remove portaudio-devel BuildRequires: this is long obsoleted.
* Sun May  1 2011 dominique-vlc.suse@leuenberger.net
- Libass on openSUSE 11.3 is outdated and no longer supported.
* Fri Apr  1 2011 dominique-vlc.suse@leuenberger.net
- Rebase fix_font_patch.patch due to freetype.c move in the tree.
* Sun Mar  6 2011 dominique-vlc.suse@leuenberger.net
- Remove kde4-filesystem BuildReqiures. Too useless to track
  X-Distro.
* Mon Nov  8 2010 dominique-vlc.suse@leuenberger.net
- Remove no longer supported parameters from configure:
  - -enable-asademux, --enable-cddax, --enable-cmml,
  - -enable-libcdio, --enable-release, --enable-v4l
- Remove libasa-devel and csri-devel BuildRequires.
* Wed Oct 20 2010 dominique-vlc.suse@leuenberger.net
- Remove mozilla subpackage (will be split out in an own package)
* Fri Aug 27 2010 dominique-vlc.suse@leuenberger.net
- Add gdk-pixbuf-devel on openSUSE 11,4+.
- Add gtk2-devel BuildRequires for new versions of libnotify.
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libmatroska-devel instead of libmatroska.
* Sat Jul  3 2010 dominique-vlc.suse@leuenberger.net
- Add lirc-devel to BuildRequires to actually build the lirc
  interface. Thanks to Rob Verduijn for reporting this error.
* Wed Jun  9 2010 dominique-vlc.suse@leuenberger.net
- BuildRequires libva-devel on openSUSE 11.2+
* Thu May 13 2010 dominique-vlc.suse@leuenberger.net
- Add additionala BuildDependencies to have more complete feature
  set:
  +  avahi-devel, fluidsynth-devel, libavc1394-devel,
    libmodplug-devel, libmtp-devel, libraw1394-devel,
    librsvg-devel, libshout-devel, libudev-devel, libv4l-devel,
    libxml2-devel, pcre-devel, portaudio-devel, schroedinger-devel
    and zvbi-devel .
* Thu Apr 22 2010 dominique-vlc.suse@leuenberger.net
- Use mozilla-xulrunner192 on openSUSE 11.3.
* Thu Sep  3 2009 dominique-vlc.suse@leuenberger.net
- Properly conflict all the sub-packages from vlc stable release.
* Thu Aug 20 2009 dominique-vlc.suse@leuenberger.net
- Removed x11 and xvideo output modules.
* Mon Aug 10 2009 dominique-vlc.suse@leuenberger.net
- Remove --enable-caca. It's now properly auto-detected.
* Fri Aug  7 2009 dominique-vlc.suse@leuenberger.net
- Add support for flac and speex.
* Thu Jun 18 2009 dominique-vlc.suse@leuenberger.net
- Disable XCB on all openSUSE < 11.2
